nxt.shuffling

## Enum ShufflingStage

- java.lang.Object
- - java.lang.Enum<ShufflingStage>
  - - nxt.shuffling.ShufflingStage

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ShufflingStage>

      public enum ShufflingStage
      extends java.lang.Enum<ShufflingStage>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BLAME`
    `CANCELLED`
    `DONE`
    `PROCESSING`
    `REGISTRATION`
    `VERIFICATION`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canBecome(ShufflingStage nextStage)`
    `static ShufflingStage` | `get(byte code)`
    `byte` | `getCode()`
    `static ShufflingStage` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ShufflingStage[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### REGISTRATION

          public static final ShufflingStage REGISTRATION

    - #### PROCESSING

          public static final ShufflingStage PROCESSING

    - #### VERIFICATION

          public static final ShufflingStage VERIFICATION

    - #### BLAME

          public static final ShufflingStage BLAME

    - #### CANCELLED

          public static final ShufflingStage CANCELLED

    - #### DONE

          public static final ShufflingStage DONE

  - ### Method Detail

    - #### values

          public static ShufflingStage[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ShufflingStage c : ShufflingStage.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ShufflingStage valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### get

          public static ShufflingStage get(byte code)

    - #### getCode

          public byte getCode()

    - #### canBecome

          public boolean canBecome(ShufflingStage nextStage)